
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java-关于Jave instanceof的问题 / iVAN</title>

    <meta name="description" content="java-关于Jave instanceof的问题 问题描述 关于Jave instanceof的问题 A instanceof B,B只能是类名,不能是变量吗? 怎么动态判断一个类是另一个类或其子类? 解决方案 instanceof是实例的意思,如果你B是接口的话,而A实现了接口,则A是B的实例,一般都是这样用的;这个接口可以可以被很多类实现的,所以你可以根据你的实现来判断的 解决方案二: 不能是变量,必须是类或接口 解决方案三: 何为实例?谁的实例通常指的是哪个类的一个对象,肯定只有类才能new对象,因此, instance of 后面必须是">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">java-关于Jave instanceof的问题</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>问题描述</h1>
<dl>
<dt>关于Jave instanceof的问题
        </dt>
<dd>
          <br />A instanceof B，B只能是类名，不能是变量吗？   怎么动态判断一个类是另一个类或其子类？</p>
</dd>
</dl>
<h1>解决方案</h1>
<p>instanceof是实例的意思,如果你B是接口的话,而A实现了接口,则A是B的实例,一般都是这样用的;这个接口可以可以被很多类实现的,所以你可以根据你的实现来判断的</p>
<p>解决方案二：<br />
    <br />不能是变量，必须是类或接口</p>
<p>解决方案三：<br />
    <br />何为实例？谁的实例通常指的是哪个类的一个对象，肯定只有类才能new对象，因此， instance of 后面必须是一个类名。 instance of 意思是什么的实例；变量不能new对象，所以 instance of 后面不能跟变量；判断一个类是另一个类的子类，你看这个类有没有继承其他类，继承有关键字extends可以确认。</p>
<p>解决方案四：<br />
    <br />这是Java语法，判断某个对象实例是否是某种数据类型，所以前者是实例对象，后者是某种类型。</p>
<p>解决方案五：<br />
    <br />instanceof翻译成中文是一个判断词，即A是类B的实例。所以b不能是变量，a可以是变量也可以是类，这个就可以判断一个类是否另一个类的子类。<br />
也可以用<br />
"123".getClass().equals(Object.class)                                          是否是同类<br />
"123".getClass().getSuperClass().equals(Object.class)                是否是子类</p>
<p>解决方案六：<br />
    <br /><a href="http://blog.csdn.net/iwaich/article/details/9126887" rel="external nofollow noreferrer">instanceof问题</a></p>
<p>解决方案七：<br />
    <br />比如你有一个Animal类，它有一个实例对象是a,那么你要判断a这个对象是不是Animal这个类的一个对象就需要使用 if(a instanceof Animal)这个来进行判断，<br />
instanceof前面的那个应该是某个类的实例对象，后面应该是某个类的类型，这样就可以进行判断了，a不能是随意的一个变量，自己可以去测试一下在eclipse中</p>
<p>解决方案八：<br />
    <br />class C extends B {</p>
<p>}<br />
 Class bb =B.class;<br />
 Class cc = C.class;<br />
  /*<br />
         *用来判断一个类Class1和另一个类Class2是否相同或是另一个类的超类或接口。<br />
         * 调用者和参数都是   java.lang.Class   类型。<br />
        */<br />
 boolean qq=bb.isAssignableFrom(cc);<br /><a href="http://blog.csdn.net/tomcat_2014/article/details/50222867" rel="external nofollow noreferrer">http://blog.csdn.net/tomcat_2014/article/details/50222867</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-07 03:44:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>java-关于Jave instanceof的问题的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgELL5z.html" rel="bookmark">Java中的instanceof关键字在Android中的用法实例详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在下面介绍Android中如何使用instanceof关键字开发更方便时,先来温习一下java中instanceof的概念. instanceof大部分的概念是这样定义的:instanceof是Java的一个二元操作符,和==,&gt;,&lt;是同一类东西.由于它是由字母组成的,所以也是Java的保留关键字.它的作用是测试它左边的对象是否是它右边的类的实例,返回boolean类型的数据.举个栗子: String s = &quot;I AM an Object!&quot;; boolean isObj			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2gy1M.html" rel="bookmark">Java中的instanceof关键字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				instanceof是Java的一个二元操作符,和==,&gt;,&lt;是同一类东东.由于它是由字母组成的,所以也是Java的保留关键字.它的作用是测试它左边的对象是否是它右边的类的实例,返回boolean类型的数据.举个例子: String s = &quot;I AM an Object!&quot;; boolean isObject = s instanceof Object; 我们声明了一个String对象引用,指向一个String对象,然后用instancof来测试它所指向的对象是否是Obj			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9YjEXM.html" rel="bookmark">java 中的 instanceof</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				instanceof是Java的一个二元操作符,和==,&gt;,&lt;是同一类东东.由于它是由字母组成的,所以也是Java的保留关键字.它的作用是测试它左边的对象是否是它右边的类的实例,返回boolean类型的数据.举个例子: String s = &quot;I AM an Object!&quot;; boolean isObject = s instanceof Object; 我们声明了一个String对象引用,指向一个String对象,然后用instancof来测试它所指向的对象是否是Obj			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2eejM.html" rel="bookmark">java final 和instanceof 关键字的区别&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				final 可以适用的范围:修饰类:使用这种修饰符的类无法被继承 修饰函数:被修饰的不能被重写 修饰属性:1.final修饰的成员变量是常量,值不能被修改      而java的命名规则:常量都要大写 当形参变量使用final修饰基本类型变量,在函数中该变量不能被修改   引用类型变量:不能改变地址 复制代码 代码如下: /* final class A{    public final void eat(){        System.out.println(&quot;测试&quot;);    }			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo34qgb.html" rel="bookmark">Java面向对象高级--instanceof关键字</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可以使用instanceof关键字判断一个对象到底是那个类的实例. class A{ // 定义类A public void fun1(){ // 定义fun1()方法 System.out.println(&quot;A --&gt; public void fun1(){}&quot;) ; } public void fun2(){ this.fun1() ; // 调用fun1()方法 } }; class B extends A{ public void fun1(){ // 此方法被子类覆写了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Qqq7p.html" rel="bookmark">Java中instanceof关键字的用法总结&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				java 中的instanceof 运算符是用来在运行时指出对象是否是特定类的一个实例.instanceof通过返回一个布尔值来指出,这个对象是否是这个特定类或者是它的子类的一个实例. 用法: result = object instanceof class 参数: Result:布尔类型. Object:必选项.任意对象表达式. Class:必选项.任意已定义的对象类. 说明: 如果 object 是 class 的一个实例,则 instanceof 运算符返回 true.如果 object			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvYj11b.html" rel="bookmark">Android中Java instanceof关键字全面解析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				instanceof关键字用于判断一个引用类型变量所指向的对象是否是一个类(或接口.抽象类.父类)的实例. instanceof是Java的一个二元操作符,和==,&gt;,&lt;是同一类东东.由于它是由字母组成的,所以也是Java的保留关键字.它的作用是测试它左边的对象是否是它右边的类的实例,返回boolean类型的数据.举个例子: String s = &quot;I AM an Object!&quot;; boolean isObject = s instanceof Object; 我们声明了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdvJQxb.html" rel="bookmark">java   instanceof-关于Java中 instanceof的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于Java中 instanceof的用法 想请问一下程序员明明知道一个实列属于一个类为什么还要用instanceof去求证呢 解决方案 java 中的instanceof 运算符是用来在运行时指出对象是否是特定类的一个实例.instanceof通过返回一个布尔值来指出,这个对象是否是这个特定类或者是它的子类的一个实例.?用法:result = object instanceof class参数:Result:布尔类型.Object:必选项.任意对象表达式.Class:必选项.任意已定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pka1Gdb.html" rel="bookmark">java中instanceof的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 java 中的instanceof 运算符是用来在运行时指出对象是否是特定类的一个实例.instanceof通过返回一个布尔值来指出,这个对象是否是这个特定类或者是它的子类的一个实例.  用法: result = object instanceof class 参数: Result:布尔类型. Object:必选项.任意对象表达式. Class:必选项.任意已定义的对象类. 说明: 如果 object 是 class 的一个实例,则 instanceof 运算符返回 true.如果 objec			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbEGEZp.html" rel="bookmark" class="title">在asp聊天室里实现房间功能和用户显示</a>
					<div>
						在我写下了&lt;在asp聊天室里实现悄悄话功能&gt;一文后,很多的朋友来信问我关于其他高级功能实现的问题.确实,例如房间.用户管理等高级功能是一个完善的聊天室所必有的功能.在这里面又以房间功能是比 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq5L2M.html" rel="bookmark" class="title">Discuz&excl;Nt作者雪人访谈</a>
					<div>
						近日,Discuz!专区就日前康盛创想(Comsenz)公司推出的又一力作,基于ASP.NET平台的社区论坛软件Discuz!NT v1.0,专访了Discuz!NT产品研发经理雪人. Discuz! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ62wz.html" rel="bookmark" class="title">XHTML代码的基本应用</a>
					<div>
						xhtml 注:下文中原来关于ALT与TITLE属性的解释是错误的,经OLD9提醒现在已经更正,感谢老九对本文的校正! 一段时间以来,发现有很多人XHTML都不会用,不光是普通的初学者,有的程序员都不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo133p.html" rel="bookmark" class="title">在&period;NET下获取硬盘序列号的问题</a>
					<div>
						问题|硬盘 一般软件的注册机制可以通过获取硬件序列号,然后用非对称加密算法生成相应的公钥和私钥.但是用Managed Code写获取硬盘序列号的代码不能解决所有的问题,比如不能在非管理员的权限下使用, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrRayM.html" rel="bookmark" class="title">用3ds Max打造迷你的士</a>
					<div>
						介绍: 很早的时候我就想试着做一下迷你的士了,最终我把它实现了.这小小的车作为出租车在许多国家, 因为它机动性强,而且便宜.它有许多绰号一样Raksha和图克图克. 该项目我花了一个月的空闲时间来完成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RRddp.html" rel="bookmark" class="title">Ajax在不同浏览器中的兼容问题&lpar;asp&period;net&comma;ie&comma;firefox&rpar;</a>
					<div>
						Ajax在不同浏览器中的兼容问题比较麻烦,我在最近的项目中遇到了这个问题.并且使用了一种奇怪 的方法解决了它,现在拿出来大家讨论讨论: 下面是前端代码: &lt;script type=&quot;t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kLL5z.html" rel="bookmark" class="title">驱动人生5助端午节购机 给力品牌电脑驱动</a>
					<div>
						又到端午,3天的假期,让很多想买电脑的童鞋终于有了悉心挑选的时间.相对于自己动手DIY电脑,品牌电脑选择起来更有保障.很多品牌电脑重装了系统后,会出现屏幕显示异常或者是电脑没有声音等问题,其实这些都是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7wVnb.html" rel="bookmark" class="title">wps表格行和列的隐藏</a>
					<div>
						行的隐藏一:   1.首先选中想要隐藏的整行.     2.右击该行,选择&quot;隐藏&quot;.    电脑教程 3.可以看到第五行成功被隐藏.     行的隐藏方法二:   1.将光标移至行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7kP0Az.html" rel="bookmark" class="title">MacBook Pro怎么添加指纹和银行卡</a>
					<div>
						MacBook Pro怎么添加指纹和银行卡   新的 MacBook Pro 会提示用户添加指纹(只添加一个),完成设置之后,用户可以在系统偏好设置中添加额外的指纹(最多 3 个).下面我们来说说具体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWYmPp.html" rel="bookmark" class="title">Windows 8如何更新设备的驱动程序</a>
					<div>
						Win8系统更新某一设备的驱动程序的方法如下: 1.右键单击桌面空白处,桌面下方弹出&quot;所有应用&quot;选项,左键单击&quot;所有应用&quot;. 2.左键单击&quot;控制面板& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42X5LM.html" rel="bookmark" class="title">Win7系统下IPv6协议有什么用？</a>
					<div>
						  一.IPv6直接访问 有关这个网络应用,有以下几点需要说明. 第一点, DirectAccess是针对企业用户的.和Win server 2008 R2的IPv6与IPSec组合实现的VPN相比, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX6Erp.html" rel="bookmark" class="title">FrontPage XP小诀窍拾零</a>
					<div>
						 靓丽的网页是怎样生成的?也许您会脱口而出,当然是自己设计出来的.没错!不过这其中也有网页制作工具的一部分功劳,因为功能强大的网页制作工具可以为网页增色不少!以前,FrontPage 2000是很多设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8jJ0p.html" rel="bookmark" class="title">新浪秒拍vs腾讯微拍</a>
					<div>
						一场手机视频的大革命正在狂野兴起. 刚刚颁发的4G牌照打响了第一枪,蓄势已久的互联网群雄纷纷出手,打破头也要抢滩短视频.这是一个超过PC互联网视频业的新兴市场,下一个百亿美金公司. 然而,战局却不像P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYOdKb.html" rel="bookmark" class="title">云端安全之三：最佳实践</a>
					<div>
						曾经在&lt;游戏云间之六:数据安全&gt;这篇文章中,通过物理底层.网络安全.平台.系统/应用安全等方面框架性介绍过云端安全,本文会进一步细化及深入的跟大家分享云端安全最佳实践经验. 言归正传,怎么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP8Drp.html" rel="bookmark" class="title">如何同时播放2首音乐 就是背景音乐和音效</a>
					<div>
						问题描述 我是这么写的SoundPlayersp;//音效SoundPlayerBackSound;//背景音乐privatevoidForm1_Load(objectsender,EventArgs ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3228wz.html" rel="bookmark" class="title">tiff dcm-tiff文件转格式，希望转成dcm格式的</a>
					<div>
						问题描述 tiff文件转格式,希望转成dcm格式的 //TIFFSetDirectory(tiff,0);//我们打开第一幅图,也就是第0帧,如果是第1帧,第二个参数写1,由此类推.因为Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3KwZz.html" rel="bookmark" class="title">【编程】java jdbc&sol;ojdbc 链接oracle的三种方式</a>
					<div>
						  本文是一篇学习笔记,学习如何通过java jdbc /ojdbc 连接oracle的几种方式.一 使用方法方法一:使用service_name 连接oracle  jdbc:oracle:thin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEl9Nz.html" rel="bookmark" class="title">fuel部署openstack遇到的问题</a>
					<div>
						问题描述 fuel部署openstack遇到的问题 大神帮们忙看下 这是什么问题,在 部署 openstack 是出现的!解决了好久都不知道问题在哪里?求解求解求解 解决方案 OpenStack 部署 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/bam4oXb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny80NDYwOTMvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/bam4oXb.html" rel="bookmark" class="title">运营商&colon;唤醒海量数据&comma;开发金融产品</a>
					<div>
						摘要:三大运营商并不甘&quot;为他人作嫁衣裳&quot;,他们有着海量的大数据,但一直处于沉睡状态,如果能够把多年积累下来的客户数据用起来,甚至都可以用来开银行 继中国电信推出金融理财产品&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEYw3z.html" rel="bookmark" class="title">张弢：窄告的多维广告和品牌精准的营销</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 8月8日下午消息 今日2007年艾瑞新营销年会上海专场在上海建国宾馆召开.大会以网络营销.网络广告为主题.会上天下互联窄告网副总经理张弢发表了题为&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrNl9M.html" rel="bookmark" class="title">如何在Windows环境的AD域中顺利更新Ubuntu</a>
					<div>
						因为公司的一个SP项目需要安装一个Linux的计算机,我便自告奋勇的给那台机器安了个http://www.aliyun.com/zixun/aggregation/13835.html&quot;&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rB2kz.html" rel="bookmark" class="title">聊聊架构</a>
					<div>
						(最近我会写一些我对架构的理解和思考,本篇是第一篇,欢迎交流) 什么是系统架构? 从字面上理解,系统架构是系统的框架结构,是系统进行抽象之后的一个草图.它包含了系统中各个抽象组件的协作方式. 为什么需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3re03z.html" rel="bookmark" class="title">激发国民购买欲，华为Mate7死磕2999</a>
					<div>
						在今年德国柏林的IFA大会上,华为发布了年度旗舰级产品Mate7.作为Mate系列的第三代产品,华为Mate7依然延续了大屏的设计,采用了6英寸的http://www.aliyun.com/zixun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94OaXb.html" rel="bookmark" class="title">struts2 的重定向和转发的问题</a>
					<div>
						问题描述 访问一个登入页面:url为 http://localhost:9999/index.action&lt;form id=&quot;form&quot;&gt;用户名:&lt;input t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0wLQp.html" rel="bookmark" class="title">社交战争下半场：从流量战到内容战</a>
					<div>
						款新晋社交产品&quot;二度&quot;的创始人蒋杰,从去年到今年谈了包括真格基金创始人徐小平在内的30多个投资人,投资人纷纷表示已经不看社交了.蒋杰至今还没有拿到第一笔融资,他以每月5万元人民币的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqXP1b.html" rel="bookmark" class="title">Youku 视频绝对地址获取的方法详解&lowbar;php技巧</a>
					<div>
						前一阵子为了研究 KnLiveCommentary 而进行了一系列的关于视频站点的研究.由于KnLiveCommentary需要能够获取充足的视频源进行测试,所以我们选取了 Youku(优酷)一个比较 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKN7QM.html" rel="bookmark" class="title">php对外发包解决方案&lpar;导致w3wp&period;exe很占cpu&rpar;&lowbar;win服务器</a>
					<div>
						一.php对外发包问题 客户说自己的vps对外发包严重,我司机房人员查看监控,截图如下: 在这样下去客户的机器肯定会造成ping值不稳定,甚至服务器崩溃. 二.分析问题 经分析发现,这些发包的PHP程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkeeOM.html" rel="bookmark" class="title">session保存text数据类型问题</a>
					<div>
						问题描述 在数据库中我用text数据类型保存＂NOTE(备注)＂字段,在一页面中用了session保存了textbox输入的数据,然后在另外一个页面中用session接收,出现下面提示: 数据类型te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0eNwp.html" rel="bookmark" class="title">文化部下发通知规范动漫游戏会展交易节庆活动</a>
					<div>
						为了改变全国范围内的各类动漫游戏会展交易活动(含节庆.比赛.论坛等活动,以下统称动漫游戏会展交易活动)过多的现状,确保我国动漫游戏产业的健康良性发展,文化部近日下发&lt;关于加强动漫游戏会展交易节庆 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBoQAb.html" rel="bookmark" class="title">实战系列之天气预报实时采集</a>
					<div>
						前言: 今天 CYQ.Data 框架  框架群里,&quot;路过冬天&quot;问了个天气预报的问题,问哪里有webservice调用?于是随性就有了这篇文章了.   天气预报,回忆中做过那么三次. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
